<div
	class="input-wrapper mat-elevation-z5"
	[class.drag-highlight]="dragging"
	(click)="textarea.focus()"
	(keydown)="onKeydown($event)"
	(keyup)="onKeyup($event)"
>
	<button mat-icon-button type="button" (click)="file.click()">
		<input #file hidden multiple type="file" (change)="addFiles($event.target.files)" />
		<mat-icon>attach_file</mat-icon>
	</button>

	<mat-divider vertical="true"></mat-divider>
	<textarea #textarea matTextareaAutosize placeholder="Enter your message" [(ngModel)]="text"></textarea>
	<mat-divider vertical="true"></mat-divider>

	<button mat-icon-button [matMenuTriggerFor]="emojiPicker" type="button">
		<mat-icon>emoji_emotions</mat-icon>
	</button>
	<button mat-mini-fab type="submit" color="primary" [disabled]="!valid" (click)="onSubmit()">
		<mat-icon>send</mat-icon>
	</button>
</div>

<div class="file-preview-wrapper">
	<div class="file-preview-container">
		<div *ngFor="let file of files; let i = index" class="file-preview mat-elevation-z5">
			<img [src]="file.preview" alt="preview img" />

			<div class="meta">
				<span>{{ file.file.name }}</span>
				<button mat-icon-button (click)="removeFile(i)">
					<mat-icon>close</mat-icon>
				</button>
			</div>
		</div>
	</div>
</div>

<mat-menu #emojiPicker="matMenu" class="emoji-picker">
	<emoji-mart
		title="Pick your emoji…"
		[backgroundImageFn]="emojiBackground"
		[darkMode]="darkTheme"
		(emojiClick)="onEmojiClick($event)"
		(click)="$event.stopPropagation()"
	></emoji-mart>
</mat-menu>
